-- Technology Add
table.insert(data.raw["technology"]["purple-inserters"].effects,{type = "unlock-recipe",recipe = "purple-inserter-left"})
table.insert(data.raw["technology"]["purple-inserters"].effects,{type = "unlock-recipe",recipe = "purple-inserter-right"})

-- INVENTORY ORDER
-- Burner Inserter
-- Left Burner
-- Right Burner
data.raw.item["fast-inserter"].order = "d[fast-inserter]"
-- Left Fast
-- Right Fast
data.raw.item["smart-inserter"].order = "f[inserter]-e[smart-inserter]"
-- Left Smart
-- Right Smart
data.raw.item["purple-inserter"].order = "f[inserter]-f[purple-inserter]"
-- Left Purple
-- Right Purple

data:extend(
{
  {
	type = "item",
    name = "purple-inserter-left",
    icon = "__Side Inserters__/graphics/icons/purple-inserter-left.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-f[purple-inserter]a",
    place_result = "purple-inserter-left",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "purple-inserter-left",
    enabled = "false",
	energy_required = 0.5,
    ingredients =
    {
      {"purple-inserter", 1},
    },
    result = "purple-inserter-left"
  },
  {
    type = "item",
    name = "purple-inserter-right",
    icon = "__Side Inserters__/graphics/icons/purple-inserter-right.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-f[purple-inserter]b",
    place_result = "purple-inserter-right",
    stack_size = 50
  },

  {
    type = "recipe",
    name = "purple-inserter-right",
    enabled = "false",
	energy_required = 0.5,
    ingredients =
    {
      {"purple-inserter", 1},
    },
    result = "purple-inserter-right"
  },
}
)

-- ************************************************************
-- Purple Inserters
-- ************************************************************

purple_left=util.table.deepcopy(data.raw["inserter"]["purple-inserter"])
purple_left.name = "purple-inserter-left"
purple_left.icon = "__Side Inserters__/graphics/icons/purple-inserter-left.png"
purple_left.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
purple_left.insert_position = {INSERT_POSITION, 0}
purple_left.rotation_speed = purple_left.rotation_speed * SIDE_SPEED_FACTOR

purple_right=util.table.deepcopy(data.raw["inserter"]["purple-inserter"])
purple_right.name = "purple-inserter-right"
purple_right.icon = "__Side Inserters__/graphics/icons/purple-inserter-right.png"
purple_right.working_sound.match_progress_to_activity = MATCH_SOUND_PROGRESS_TO_ACTIVITY
purple_right.insert_position = {0-INSERT_POSITION, 0}
purple_right.rotation_speed = purple_right.rotation_speed * SIDE_SPEED_FACTOR

data:extend(
{
  purple_left,
  purple_right
})